//
//  Create_With_Swift_WidgetExtensionBundle.swift
//  Create-With-Swift-WidgetExtension
//


import WidgetKit
import SwiftUI

@main
struct AwesomeQuoteWidget: Widget {
    let kind: String = "AwesomeQuoteWidget"

    var body: some WidgetConfiguration {
        StaticConfiguration(
            kind: kind,
            provider: WaterProvider(),
            content: { WaterWidgetView(entry: $0) }
        )
        .configurationDisplayName("Quote of the day")
        .description("Quotes that change your life!")
        .supportedFamilies([.systemMedium, .systemLarge])
    }
}


#Preview(as: .systemMedium) {
    AwesomeQuoteWidget()
} timeline: {
    WaterEntry(date: .now, waterTip: "Hello")
    WaterEntry(date: .now + 1, waterTip: "Hello!")
}

#Preview(as: .systemLarge) {
    AwesomeQuoteWidget()
} timeline: {
    WaterEntry(date: .now, waterTip: "Hello")
    WaterEntry(date: .now + 1, waterTip: "Hello!")
}
