//
//  WidgetView.swift
//  Create-With-Swift-WidgetKIt-Tutorial
//

import WidgetKit
import SwiftUI

struct WaterWidgetView : View {
    var entry: WaterProvider.Entry
    
    var body: some View {
        VStack(alignment: .leading){
            HStack{
                Image(systemName: "drop")
                Text("Tip of the day")
            }
            
            .font(.title3)
            .bold()
            .padding(.bottom, 8)
            
            Text(entry.waterTip)
                .font(.caption)
            
            Spacer()
            
            HStack{
                Spacer()
                Text("**Last Update:** \(entry.date.formatted(.dateTime))")
                    .font(.caption2)
                    
            }
        }.foregroundStyle(.white)
        .containerBackground(for: .widget){
            Color.cyan
        }
    }
}



/*
 struct AwesomeQuoteWidget_Previews2: PreviewProvider {
 static var previews: some View {
 WaterWidgetView(
 entry: WaterEntry(
 date: Date(),
 waterTip: "Consider Water Quality: Ensure the water you consume is clean and safe. If you're unsure about the quality of tap water, consider using a water filter or opting for bottled water."
 )
 )
 .previewContext(WidgetPreviewContext(family: .systemLarge))
 }
 }
 */
